hidrd-convert(1)

NAME
hidrd-convert - convert a HID report descriptor

SYNOPSIS
hidrd-convert [-i format] [-o format] [INPUT] [OUTPUT]

OPTIONS
With no INPUT, or when INPUT is -, read standard input. With no OUTPUT, or when OUTPUT is -, write standard output.

Options: -h, --help this help message --hf, --help-formats description of formats and options -i, --input-format=FORMAT use FORMAT for input --io=LIST, --input-options=LIST use LIST input format options -o, --output-format=FORMAT use FORMAT for output --oo=LIST, --output-options=LIST use LIST output format options

The following formats are supported by hidrd-convert:
Format | [I/O] | Description
natv | [IO] | native
xml | [IO] | XML
spec | [O] | specification example
code | [O] | source code

Default options are -i natv -o natv.

FILES
/usr/share/xml/schema/hidrd.xsd
    Schema for the HID <-> XML converter.